Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# tracks.h File Reference

`#include <lib3ds/tcb.h>`

Include dependency graph for tracks.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | _Lib3dsBoolKey
struct | _Lib3dsBoolTrack
struct | _Lib3dsLin1Key
struct | _Lib3dsLin1Track
struct | _Lib3dsLin3Key
struct | _Lib3dsLin3Track
struct | _Lib3dsMorphKey
struct | _Lib3dsMorphTrack
struct | _Lib3dsQuatKey
struct | _Lib3dsQuatTrack
## Enumerations
enum | Lib3dsTrackFlags { LIB3DS_REPEAT = 0x0001, LIB3DS_SMOOTH = 0x0002, LIB3DS_LOCK_X = 0x0008, LIB3DS_LOCK_Y = 0x0010, LIB3DS_LOCK_Z = 0x0020, LIB3DS_UNLINK_X = 0x0100, LIB3DS_UNLINK_Y = 0x0200, LIB3DS_UNLINK_Z = 0x0400 }
## Functions
LIB3DSAPI Lib3dsBoolKey * | lib3ds_bool_key_new ()
LIB3DSAPI void | lib3ds_bool_key_free (Lib3dsBoolKey *key)
LIB3DSAPI void | lib3ds_bool_track_free_keys (Lib3dsBoolTrack *track)
LIB3DSAPI void | lib3ds_bool_track_insert (Lib3dsBoolTrack *track, Lib3dsBoolKey *key)
LIB3DSAPI void | lib3ds_bool_track_remove (Lib3dsBoolTrack *track, Lib3dsIntd frame)
LIB3DSAPI void | lib3ds_bool_track_eval (Lib3dsBoolTrack *track, Lib3dsBool *p, Lib3dsFloat t)
LIB3DSAPI Lib3dsBool | lib3ds_bool_track_read (Lib3dsBoolTrack *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsBool | lib3ds_bool_track_write (Lib3dsBoolTrack *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsLin1Key * | lib3ds_lin1_key_new ()
LIB3DSAPI void | lib3ds_lin1_key_free (Lib3dsLin1Key *key)
LIB3DSAPI void | lib3ds_lin1_track_free_keys (Lib3dsLin1Track *track)
LIB3DSAPI void | lib3ds_lin1_key_setup (Lib3dsLin1Key *p, Lib3dsLin1Key *cp, Lib3dsLin1Key *c, Lib3dsLin1Key *cn, Lib3dsLin1Key *n)
LIB3DSAPI void | lib3ds_lin1_track_setup (Lib3dsLin1Track *track)
LIB3DSAPI void | lib3ds_lin1_track_insert (Lib3dsLin1Track *track, Lib3dsLin1Key *key)
LIB3DSAPI void | lib3ds_lin1_track_remove (Lib3dsLin1Track *track, Lib3dsIntd frame)
LIB3DSAPI void | lib3ds_lin1_track_eval (Lib3dsLin1Track *track, Lib3dsFloat *p, Lib3dsFloat t)
LIB3DSAPI Lib3dsBool | lib3ds_lin1_track_read (Lib3dsLin1Track *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsBool | lib3ds_lin1_track_write (Lib3dsLin1Track *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsLin3Key * | lib3ds_lin3_key_new ()
LIB3DSAPI void | lib3ds_lin3_key_free (Lib3dsLin3Key *key)
LIB3DSAPI void | lib3ds_lin3_track_free_keys (Lib3dsLin3Track *track)
LIB3DSAPI void | lib3ds_lin3_key_setup (Lib3dsLin3Key *p, Lib3dsLin3Key *cp, Lib3dsLin3Key *c, Lib3dsLin3Key *cn, Lib3dsLin3Key *n)
LIB3DSAPI void | lib3ds_lin3_track_setup (Lib3dsLin3Track *track)
LIB3DSAPI void | lib3ds_lin3_track_insert (Lib3dsLin3Track *track, Lib3dsLin3Key *key)
LIB3DSAPI void | lib3ds_lin3_track_remove (Lib3dsLin3Track *track, Lib3dsIntd frame)
LIB3DSAPI void | lib3ds_lin3_track_eval (Lib3dsLin3Track *track, Lib3dsVector p, Lib3dsFloat t)
LIB3DSAPI Lib3dsBool | lib3ds_lin3_track_read (Lib3dsLin3Track *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsBool | lib3ds_lin3_track_write (Lib3dsLin3Track *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsQuatKey * | lib3ds_quat_key_new ()
LIB3DSAPI void | lib3ds_quat_key_free (Lib3dsQuatKey *key)
LIB3DSAPI void | lib3ds_quat_track_free_keys (Lib3dsQuatTrack *track)
LIB3DSAPI void | lib3ds_quat_key_setup (Lib3dsQuatKey *p, Lib3dsQuatKey *cp, Lib3dsQuatKey *c, Lib3dsQuatKey *cn, Lib3dsQuatKey *n)
LIB3DSAPI void | lib3ds_quat_track_setup (Lib3dsQuatTrack *track)
LIB3DSAPI void | lib3ds_quat_track_insert (Lib3dsQuatTrack *track, Lib3dsQuatKey *key)
LIB3DSAPI void | lib3ds_quat_track_remove (Lib3dsQuatTrack *track, Lib3dsIntd frame)
LIB3DSAPI void | lib3ds_quat_track_eval (Lib3dsQuatTrack *track, Lib3dsQuat p, Lib3dsFloat t)
LIB3DSAPI Lib3dsBool | lib3ds_quat_track_read (Lib3dsQuatTrack *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsBool | lib3ds_quat_track_write (Lib3dsQuatTrack *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsMorphKey * | lib3ds_morph_key_new ()
LIB3DSAPI void | lib3ds_morph_key_free (Lib3dsMorphKey *key)
LIB3DSAPI void | lib3ds_morph_track_free_keys (Lib3dsMorphTrack *track)
LIB3DSAPI void | lib3ds_morph_track_insert (Lib3dsMorphTrack *track, Lib3dsMorphKey *key)
LIB3DSAPI void | lib3ds_morph_track_remove (Lib3dsMorphTrack *track, Lib3dsIntd frame)
LIB3DSAPI void | lib3ds_morph_track_eval (Lib3dsMorphTrack *track, char *p, Lib3dsFloat t)
LIB3DSAPI Lib3dsBool | lib3ds_morph_track_read (Lib3dsMorphTrack *track, Lib3dsIo *io)
LIB3DSAPI Lib3dsBool | lib3ds_morph_track_write (Lib3dsMorphTrack *track, Lib3dsIo *io)

## Function Documentation

LIB3DSAPI void lib3ds_bool_key_free | ( | Lib3dsBoolKey * | key | ) |

LIB3DSAPI Lib3dsBoolKey* lib3ds_bool_key_new | ( |  | ) |

LIB3DSAPI void lib3ds_bool_track_eval | ( | Lib3dsBoolTrack * | track,
|  | Lib3dsBool * | p,
|  | Lib3dsFloat | t
| ) |

LIB3DSAPI void lib3ds_bool_track_free_keys | ( | Lib3dsBoolTrack * | track | ) |

LIB3DSAPI void lib3ds_bool_track_insert | ( | Lib3dsBoolTrack * | track,
|  | Lib3dsBoolKey * | key
| ) |

LIB3DSAPI Lib3dsBool lib3ds_bool_track_read | ( | Lib3dsBoolTrack * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_bool_track_remove | ( | Lib3dsBoolTrack * | track,
|  | Lib3dsIntd | frame
| ) |

LIB3DSAPI Lib3dsBool lib3ds_bool_track_write | ( | Lib3dsBoolTrack * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_lin1_key_free | ( | Lib3dsLin1Key * | key | ) |

LIB3DSAPI Lib3dsLin1Key* lib3ds_lin1_key_new | ( |  | ) |

LIB3DSAPI void lib3ds_lin1_key_setup | ( | Lib3dsLin1Key * | p,
|  | Lib3dsLin1Key * | cp,
|  | Lib3dsLin1Key * | c,
|  | Lib3dsLin1Key * | cn,
|  | Lib3dsLin1Key * | n
| ) |

LIB3DSAPI void lib3ds_lin1_track_eval | ( | Lib3dsLin1Track * | track,
|  | Lib3dsFloat * | p,
|  | Lib3dsFloat | t
| ) |

LIB3DSAPI void lib3ds_lin1_track_free_keys | ( | Lib3dsLin1Track * | track | ) |

LIB3DSAPI void lib3ds_lin1_track_insert | ( | Lib3dsLin1Track * | track,
|  | Lib3dsLin1Key * | key
| ) |

LIB3DSAPI Lib3dsBool lib3ds_lin1_track_read | ( | Lib3dsLin1Track * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_lin1_track_remove | ( | Lib3dsLin1Track * | track,
|  | Lib3dsIntd | frame
| ) |

LIB3DSAPI void lib3ds_lin1_track_setup | ( | Lib3dsLin1Track * | track | ) |

LIB3DSAPI Lib3dsBool lib3ds_lin1_track_write | ( | Lib3dsLin1Track * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_lin3_key_free | ( | Lib3dsLin3Key * | key | ) |

LIB3DSAPI Lib3dsLin3Key* lib3ds_lin3_key_new | ( |  | ) |

LIB3DSAPI void lib3ds_lin3_key_setup | ( | Lib3dsLin3Key * | p,
|  | Lib3dsLin3Key * | cp,
|  | Lib3dsLin3Key * | c,
|  | Lib3dsLin3Key * | cn,
|  | Lib3dsLin3Key * | n
| ) |

LIB3DSAPI void lib3ds_lin3_track_eval | ( | Lib3dsLin3Track * | track,
|  | Lib3dsVector | p,
|  | Lib3dsFloat | t
| ) |

LIB3DSAPI void lib3ds_lin3_track_free_keys | ( | Lib3dsLin3Track * | track | ) |

LIB3DSAPI void lib3ds_lin3_track_insert | ( | Lib3dsLin3Track * | track,
|  | Lib3dsLin3Key * | key
| ) |

LIB3DSAPI Lib3dsBool lib3ds_lin3_track_read | ( | Lib3dsLin3Track * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_lin3_track_remove | ( | Lib3dsLin3Track * | track,
|  | Lib3dsIntd | frame
| ) |

LIB3DSAPI void lib3ds_lin3_track_setup | ( | Lib3dsLin3Track * | track | ) |

LIB3DSAPI Lib3dsBool lib3ds_lin3_track_write | ( | Lib3dsLin3Track * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_morph_key_free | ( | Lib3dsMorphKey * | key | ) |

LIB3DSAPI Lib3dsMorphKey* lib3ds_morph_key_new | ( |  | ) |

LIB3DSAPI void lib3ds_morph_track_eval | ( | Lib3dsMorphTrack * | track,
|  | char * | p,
|  | Lib3dsFloat | t
| ) |

LIB3DSAPI void lib3ds_morph_track_free_keys | ( | Lib3dsMorphTrack * | track | ) |

LIB3DSAPI void lib3ds_morph_track_insert | ( | Lib3dsMorphTrack * | track,
|  | Lib3dsMorphKey * | key
| ) |

LIB3DSAPI Lib3dsBool lib3ds_morph_track_read | ( | Lib3dsMorphTrack * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_morph_track_remove | ( | Lib3dsMorphTrack * | track,
|  | Lib3dsIntd | frame
| ) |

LIB3DSAPI Lib3dsBool lib3ds_morph_track_write | ( | Lib3dsMorphTrack * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_quat_key_free | ( | Lib3dsQuatKey * | key | ) |

LIB3DSAPI Lib3dsQuatKey* lib3ds_quat_key_new | ( |  | ) |

LIB3DSAPI void lib3ds_quat_key_setup | ( | Lib3dsQuatKey * | p,
|  | Lib3dsQuatKey * | cp,
|  | Lib3dsQuatKey * | c,
|  | Lib3dsQuatKey * | cn,
|  | Lib3dsQuatKey * | n
| ) |

LIB3DSAPI void lib3ds_quat_track_eval | ( | Lib3dsQuatTrack * | track,
|  | Lib3dsQuat | p,
|  | Lib3dsFloat | t
| ) |

LIB3DSAPI void lib3ds_quat_track_free_keys | ( | Lib3dsQuatTrack * | track | ) |

LIB3DSAPI void lib3ds_quat_track_insert | ( | Lib3dsQuatTrack * | track,
|  | Lib3dsQuatKey * | key
| ) |

LIB3DSAPI Lib3dsBool lib3ds_quat_track_read | ( | Lib3dsQuatTrack * | track,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_quat_track_remove | ( | Lib3dsQuatTrack * | track,
|  | Lib3dsIntd | frame
| ) |

LIB3DSAPI void lib3ds_quat_track_setup | ( | Lib3dsQuatTrack * | track | ) |

LIB3DSAPI Lib3dsBool lib3ds_quat_track_write | ( | Lib3dsQuatTrack * | track,
|  | Lib3dsIo * | io
| ) |